%define anolis_release 1
Name:           perl-IO-Socket-INET6
Version:        2.73
Release:        %{anolis_release}%{?dist}
Summary:        Perl Object interface for AF_INET|AF_INET6 domain sockets
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Socket-INET6
Source0:        https://cpan.metacpan.org/modules/by-module/IO/IO-Socket-INET6-%{version}.tar.gz
# Fix bad code in test. Original code hides error, related to BZ#1207174
Patch0:         IO-Socket-INET6-2.72-fix_die_in_test.patch
# Fix random test error in binding to socket BZ#1207174
Patch1:         IO-Socket-INET6-2.72-bz1207174-fix_random_test_error.patch
BuildArch:      noarch
# Module Build
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Errno)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Socket)
BuildRequires:  perl(Socket6) >= 0.12
BuildRequires:  perl(strict)
# Test Suite
BuildRequires:  perl(Config)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Optional Tests
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::TrailingSpace)
# Runtime

%description
Perl Object interface for AF_INET|AF_INET6 domain sockets.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n IO-Socket-INET6-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/IO/
%{_mandir}/man3/IO::Socket::INET6.3*

%files doc
%doc ChangeLog README

%changelog
* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 2.73-1
- Import package for anolis 23
